Clips
Post v1clipsfrom upload
POST
/
v1
/
clips
/
from-upload
cURL
curl --request POST \
--url https://api.lighthousefh.com/v1/clips/from-upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_format": "<string>",
"file_name": "<string>",
"file_path": "<string>",
"file_size": 123,
"tags": []
}
'import requests
url = "https://api.lighthousefh.com/v1/clips/from-upload"
payload = {
"file_format": "<string>",
"file_name": "<string>",
"file_path": "<string>",
"file_size": 123,
"tags": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_format: '<string>',
file_name: '<string>',
file_path: '<string>',
file_size: 123,
tags: []
})
};
fetch('https://api.lighthousefh.com/v1/clips/from-upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"data": {
"created_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offset_ms": 123,
"organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [],
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"call_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted_at": "2023-11-07T05:31:56Z",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"duration": 123,
"file_format": "<string>",
"file_name": "<string>",
"file_path": "<string>",
"file_size": 123,
"share_link_expires_at": "2023-11-07T05:31:56Z",
"transcript": {
"words": [
{
"confidence": 123,
"end_ms": 123,
"start_ms": 123,
"text": "<string>",
"speaker": "<string>"
}
]
}
},
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": "<string>",
"status_code": 1,
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": "<string>",
"status_code": 1,
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": "<string>",
"status_code": 1,
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": "<string>",
"status_code": 1,
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
cURL
